AlgoSeek

Check API Usage Quotas and Rate Limits

Keeping track of your API consumption is essential for maintaining uninterrupted service and optimizing your data workflows. The Quotas Endpoint provides developers with real-time visibility into their account limits and current activity. Whether you need to debug rate-limiting issues, monitor your per-minute request rate, or simply track your data scanning and retrieval metrics for the month, the following guide outlines how to securely and easily retrieve your usage statistics.

Keeping track of your API consumption is essential for maintaining uninterrupted service and optimizing your data workflows. The Quotas Endpoint provides developers with real-time visibility into their account limits and current activity. Whether you need to debug rate-limiting issues, monitor your per-minute request rate, or simply track your data scanning and retrieval metrics for the month, the following guide outlines how to securely and easily retrieve your usage statistics.

Endpoint: GET /api/v1/account/my/quotas

What it does: Returns your API usage summary for the current month and minute, along with your usage limits:

  • the number of requests
  • the amount of data scanned (bytes)
  • the amount of data returned (bytes)
Info

Data returned is the amount of data retrieved from the engine used to generate the response. Data scanned corresponds to the number bytes the engine has processed to fetch the data for the response.

Request example:

curl -X --get \
https://api.devalgoseek.com/api/v1/account/my/quotas \
-H "X-API-KEY: YOUR_API_KEY"

Response example:

{
"quotas_usage": {
"per_minute_requests": 0,
"monthly_requests": 120703,
"monthly_data_scanned": 1704088502598,
"monthly_data_returned": 58346745316
},
"quotas_limit": {
"per_minute_requests": 1000,
"monthly_requests": 1000000,
"monthly_data_scanned": 10000000000000,
"monthly_data_returned": 100000000000
}
}

The monthly quota resets at 00:00 UTC on the first day of the month and the minute quota resets at the start of each minute.

Note

The quota limits and usage applies on the account level, so it includes usage across all API keys in the account.